FEMA relief site is IE only

If you want to apply for disaster relief online through FEMA’s Web site, don’t try to use any browser other than Internet Explorer. As this page explains, only IE 6.0 or higher will work for FEMA’s online registration.

[Via The Register.]